%global git0 https://github.com/rootless-containers/%{name}
<<<<<<< HEAD
%global commit0 19d199a6ca424fcf9516320a327cedad85cf4dfb
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
||||||| merged common ancestors
%global commit0 30883b5aef81510915ca0e0b28072e809172e1f6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
=======
>>>>>>> slirp4netdns package update

# Used for comparing with latest upstream tag
# to decide whether to autobuild (non-rawhide only)
%global built_tag v0.4.0-beta.2

Name: slirp4netns
<<<<<<< HEAD
Version: 0.4.0
Release: 4.git%{shortcommit0}%{?dist}
||||||| merged common ancestors
Version: 0.3.0
Release: 1.alpha.2.git%{shortcommit0}%{?dist}
=======
Version: 0.3.2
Release: 1%{?dist}
>>>>>>> slirp4netdns package update
# no go-md2man in ppc64
#ExcludeArch: ppc64
Summary: slirp for network namespaces
License: GPLv2
URL: https://github.com/rootless-containers/slirp4netns/
Source0: https://github.com/rootless-containers/slirp4netns/archive/v%{version}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: git
BuildRequires: go-md2man
BuildRequires: libcap-devel
BuildRequires: make

%description
slirp for network namespaces, without copying buffers across the namespaces.

%package devel
Summary: %{summary}
BuildArch: noarch
%description devel
%{summary}
This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.


%prep
%autosetup -Sgit -n %{name}-%{version}


%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export GCCFLAGS="%{optflags}"
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man


%install
make DESTDIR=%{buildroot} install install-man


%check
#define license tag if not already defined
%{!?_licensedir:%global license %doc}


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

<<<<<<< HEAD
%changelog
* Wed Jul 31 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-4.git19d199a
- BR: libcap-devel

* Wed Jul 31 2019 Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org> - 0.4.0-2.git19d199a
- bump to v0.4.0-beta.2
- autobuilt 19d199a

* Wed Jul 24 2019 Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org> - 0.4.0-0.gitdeee8d0.1
- bump to 0.4.0
- autobuilt deee8d0

* Wed May 15 2019 Dan Walsh <dwalsh@fedoraproject.org> - v0.3.0-2
- Update to released version

* Wed Feb 27 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.3.0-1.alpha.2
- make version tag consistent with upstream

* Sun Feb 17 2019 Dan Walsh <dwalsh@fedoraproject.org> - v0.3.0-alpha.2
- Latest release
||||||| merged common ancestors
%changelog
* Wed Feb 27 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.3.0-1.alpha.2
- make version tag consistent with upstream

* Sun Feb 17 2019 Dan Walsh <dwalsh@fedoraproject.org> - v0.3.0-alpha.2
- Latest release
=======
>>>>>>> slirp4netdns package update

%changelog
